image: node:11

stages:
  - build
  - deploy

Build:
  stage: build
  image: node:11
  script:
    - npm install
    - npm run build
  artifacts:
    paths:
      - lib/
    expire_in: 1 day

Deploy:
  stage: deploy
  image: node:11
  script:
    - npm publish
